Bug 120598 - nautilus attempts to access initrd loopback during kernel install
nautilus attempts to access initrd loopback during kernel install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-11 16:14 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 10:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-11 16:14:39 EDT
Description of problem:
policy = 1.10.2-5, nautilus = 2.6.0-1

General login as a sysadm_r user and then su - to root keeping sysadm_r.

While I was installing the new kernel (2.6.5-1.315), I got a message
"/bin/bash: /root/.bashrc: Permission denied" on the root terminal.

Checking /var/log/messages I see:

Apr 11 15:55:51 hummer kernel: audit(1081713351.950:0): avc:  denied 
{ getattr } for  pid=7740 exe=/usr/libexec/gnome-vfs-daemon
path=/tmp/initrd.mnt.PE7709 dev=loop0 ino=2
scontext=czarcing:staff_r:staff_t tcontext=system_u:object_r:file_t
tclass=dir
Apr 11 15:55:51 hummer kernel: audit(1081713351.952:0): avc:  denied 
{ getattr } for  pid=1794 exe=/usr/bin/nautilus
path=/tmp/initrd.mnt.PE7709 dev=loop0 ino=2
scontext=czarcing:staff_r:staff_t tcontext=system_u:object_r:file_t
tclass=dir

Why is nautilus trying to do this??
Comment 1 Alexander Larsson 2004-04-13 10:51:22 EDT
Nautilus statfs()s all filesystem in /proc/mounts on startup to be
able to figure out what mount files are on (by comparing dev).

Note You need to log in before you can comment on or make changes to this bug.